Bug 171129 - RedHat / XW9300 / system panic when logout from GNOME with USB mouse
RedHat / XW9300 / system panic when logout from GNOME with USB mouse
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 181627 (view as bug list)
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-18 09:33 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:48:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 - undo wrong changes, add spinlock (2.69 KB, patch)
2005-10-24 17:57 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-10-18 09:33:45 EDT
Escalated to Bugzilla from IssueTracker
Comment 6 Pete Zaitcev 2005-10-24 17:57:06 EDT
Created attachment 120327 [details]
Candidate #1 - undo wrong changes, add spinlock
Comment 7 Pete Zaitcev 2005-10-24 18:00:20 EDT
I am very sorry to report, but this appears to be a regression in the
fix I made for the bug 135583. It is obvious that we have to undo those.
To compensate, I added the spinlock around the call to remove_wait_queue.
Comment 13 Pete Zaitcev 2005-10-25 20:01:25 EDT
A test kernel is available at this URL:
 ftp://people.redhat.com/zaitcev/171129
I need this tested on rx5670.
Comment 14 Lonni J Friedman 2005-10-27 10:31:04 EDT
Pete,
Can you also post a kernel-source RPM for the test kernel?  The kernel-source
RPM is required to use the nvidia driver.

Thanks,
Lonni
Comment 15 Pete Zaitcev 2005-10-27 12:30:15 EDT
SRPM and kernel-source are uploaded.
Comment 16 Lonni J Friedman 2005-10-27 13:05:34 EDT
Thanks, could you also post the kernel-source RPM for x86_64?  That's where I'm
seeing this problem.
Comment 17 Lonni J Friedman 2005-10-27 13:49:30 EDT
Nevermind, I see that the i386 kernel-source RPM works just as well in x86_64. 
Thanks.
Comment 18 Lonni J Friedman 2005-10-27 14:19:53 EDT
Actually, I take that back, I can't build/install the nvidia driver in an x86_64
environment if I install the i386 kernel source RPM.  

Pete, can you please post the x86_64 kernel-source RPM as well?

thanks!
Comment 21 Lonni J Friedman 2005-10-30 01:10:18 EST
In my testing this kernel resolves the USB crash.  Thanks.
Comment 38 Ernie Petrides 2005-11-30 02:34:45 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.12.EL).
Comment 47 Red Hat Bugzilla 2006-03-15 11:48:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html
Comment 52 Ernie Petrides 2006-04-18 18:59:48 EDT
*** Bug 181627 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.